# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.repackage_l10n
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.repackage
    - gecko_taskgraph.transforms.repackage_routes
    - gecko_taskgraph.transforms.job
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - shippable-l10n-signing

task-defaults:
    run-on-repo-type: [hg]

only-for-build-platforms:
    # Langpacks support all CPU architectures. We just need to pick one
    - linux64-devedition/opt
    - linux64-shippable/opt

tasks:
    repackage-deb-l10n:
        from-deps:
            group-by: single-with-filters
        worker-type: b-linux
        worker:
            docker-image: {"in-tree": "debian12-repackage"}
            max-run-time: 600
        mozharness:
            run-as-root: true
            use-caches: false
            config:
                by-build-platform:
                    linux64\b.*:
                        - repackage/base.py
                        - repackage/linux64_signed.py
        package-formats:
            by-build-platform:
                linux.*: [deb-l10n]
        treeherder-group: deb-L10n
